Bug 966324 - Review Request: codecrypt - The post-quantum cryptography tool
Review Request: codecrypt - The post-quantum cryptography tool
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: freetiger
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 00:29 EDT by Christopher Meng
Modified: 2013-11-21 10:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-23 00:29:35 EDT
Spec URL: http://cicku.me/codecrypt.spec
SRPM URL: http://cicku.me/codecrypt-1.1-1.fc20.src.rpm
Description: This is a GnuPG-like unix program for encryption and signing that uses only 
quantum-computer-resistant algorithms:
McEliece cryptosystem (compact quasi-dyadic variant) for encryption;
Hash-based Merkle tree algorithm (FMTSeq variant) for digital signatures.
Fedora Account System Username: cicku
Comment 1 Eduardo Echeverria 2013-05-26 00:40:56 EDT
Hi @cicku, codecrypt is LGPLv3+ please fix the license field and add the COPYING.LESSER boilerplate.

Update the package to the 1.2 release, 
http://e-x-a.org/codecrypt/files/codecrypt-1.2.tar.gz and I'll do the review

There are some files with bsd license, can you review them? to check that we are not incurring in https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

BSD (2 clause)
--------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/src/sha2.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/src/sha2.h

BSD (3 clause)
--------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/src/tiger.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/src/tiger.h
Comment 2 Christopher Meng 2013-05-26 02:30:06 EDT
New SRPM: http://cicku.me/codecrypt-1.2-1.fc20.src.rpm
Comment 3 Björn "besser82" Esser 2013-05-26 09:00:20 EDT
Would you update the Spec/SRPM URL-Tags, please? Thoose tags are traced by `fedora-review`, so it will automagicly fetch the updated stuff.
Comment 4 Christopher Meng 2013-05-26 23:26:58 EDT
New Spec: http://cicku.me/codecrypt.spec
New SRPM: http://cicku.me/codecrypt-1.2-1.fc20.src.rpm
Comment 5 Björn "besser82" Esser 2013-05-31 02:06:30 EDT
> There are some files with bsd license, can you review them? to check that we
> are not incurring in
> https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
> 
> BSD (2 clause)
> --------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/
> src/sha2.c
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/
> src/sha2.h

***** BUNDLED LIB CONFIRMED *****
This is perfectly the same as provided by sha2(-devel) !!!

Make upstream aware of this and ask to add a check for a usable sha2.h / sha2-lib during configure, which only includes/links the sources-shipped sha2-files if no working sha2-lib is found.

tiger.{c,h} is NOT A DUPLICATE (checked against libtiger, cryptopp, botan)
Comment 6 Christopher Meng 2013-05-31 03:56:24 EDT
(In reply to Björn Esser from comment #5)
> ***** BUNDLED LIB CONFIRMED *****
> This is perfectly the same as provided by sha2(-devel) !!!
> 
> Make upstream aware of this and ask to add a check for a usable sha2.h /
> sha2-lib during configure, which only includes/links the sources-shipped
> sha2-files if no working sha2-lib is found.
> 
> tiger.{c,h} is NOT A DUPLICATE (checked against libtiger, cryptopp, botan)

Thanks, this should be done by myself...

Deeply appreciate your hard work!

I'll report this to upstream.
Comment 7 Mirek Kratochvil 2013-05-31 04:13:44 EDT
Hi everyone,

I was not aware that fedora has its own package for sha2, gonna add configure check asap.

Q: Is there some problem with copying RIPEMD-128 implementation as seen in src/ripemd128.[ch] ?

Thanks,
-mk
Comment 8 Eduardo Echeverria 2013-05-31 05:13:52 EDT
(In reply to Mirek Kratochvil from comment #7)
> Hi everyone,
> 
> I was not aware that fedora has its own package for sha2, gonna add
> configure check asap.
> 
> Q: Is there some problem with copying RIPEMD-128 implementation as seen in
> src/ripemd128.[ch] ?
> 
> Thanks,
> -mk

Hi Mirek, yes, apparently is part of beecrypt-devel, see the file marked with *

repoquery --list beecrypt-devel
/usr/include/beecrypt
/usr/include/beecrypt/aes.h
/usr/include/beecrypt/aesopt.h
/usr/include/beecrypt/api.h
/usr/include/beecrypt/base64.h
/usr/include/beecrypt/beecrypt.h
/usr/include/beecrypt/blockmode.h
/usr/include/beecrypt/blockpad.h
/usr/include/beecrypt/blowfish.h
/usr/include/beecrypt/blowfishopt.h
/usr/include/beecrypt/dhies.h
/usr/include/beecrypt/dldp.h
/usr/include/beecrypt/dlkp.h
/usr/include/beecrypt/dlpk.h
/usr/include/beecrypt/dlsvdp-dh.h
/usr/include/beecrypt/dsa.h
/usr/include/beecrypt/elgamal.h
/usr/include/beecrypt/endianness.h
/usr/include/beecrypt/entropy.h
/usr/include/beecrypt/fips186.h
/usr/include/beecrypt/gnu.h
/usr/include/beecrypt/hmac.h
/usr/include/beecrypt/hmacmd5.h
/usr/include/beecrypt/hmacsha1.h
/usr/include/beecrypt/hmacsha224.h
/usr/include/beecrypt/hmacsha256.h
/usr/include/beecrypt/hmacsha384.h
/usr/include/beecrypt/hmacsha512.h
/usr/include/beecrypt/md4.h
/usr/include/beecrypt/md5.h
/usr/include/beecrypt/memchunk.h
/usr/include/beecrypt/mp.h
/usr/include/beecrypt/mpbarrett.h
/usr/include/beecrypt/mpnumber.h
/usr/include/beecrypt/mpopt.h
/usr/include/beecrypt/mpprime.h
/usr/include/beecrypt/mtprng.h
/usr/include/beecrypt/pkcs1.h
/usr/include/beecrypt/pkcs12.h
/usr/include/beecrypt/ripemd128.h
/usr/include/beecrypt/ripemd160.h
/usr/include/beecrypt/ripemd256.h
/usr/include/beecrypt/ripemd320.h
/usr/include/beecrypt/rsa.h
/usr/include/beecrypt/rsakp.h
/usr/include/beecrypt/rsapk.h
/usr/include/beecrypt/sha1.h
/usr/include/beecrypt/sha1opt.h
/usr/include/beecrypt/sha224.h
/usr/include/beecrypt/sha256.h
/usr/include/beecrypt/sha2k32.h
/usr/include/beecrypt/sha2k64.h
/usr/include/beecrypt/sha384.h
/usr/include/beecrypt/sha512.h
/usr/include/beecrypt/timestamp.h
/usr/include/beecrypt/win.h
/usr/lib/libbeecrypt.so
/usr/share/doc/beecrypt-devel-4.2.1
/usr/share/doc/beecrypt-devel-4.2.1/BUGS
/usr/include/beecrypt
/usr/include/beecrypt/aes.h
/usr/include/beecrypt/aesopt.h
/usr/include/beecrypt/api.h
/usr/include/beecrypt/base64.h
/usr/include/beecrypt/beecrypt.h
/usr/include/beecrypt/blockmode.h
/usr/include/beecrypt/blockpad.h
/usr/include/beecrypt/blowfish.h
/usr/include/beecrypt/blowfishopt.h
/usr/include/beecrypt/dhies.h
/usr/include/beecrypt/dldp.h
/usr/include/beecrypt/dlkp.h
/usr/include/beecrypt/dlpk.h
/usr/include/beecrypt/dlsvdp-dh.h
/usr/include/beecrypt/dsa.h
/usr/include/beecrypt/elgamal.h
/usr/include/beecrypt/endianness.h
/usr/include/beecrypt/entropy.h
/usr/include/beecrypt/fips186.h
/usr/include/beecrypt/gnu.h
/usr/include/beecrypt/hmac.h
/usr/include/beecrypt/hmacmd5.h
/usr/include/beecrypt/hmacsha1.h
/usr/include/beecrypt/hmacsha224.h
/usr/include/beecrypt/hmacsha256.h
/usr/include/beecrypt/hmacsha384.h
/usr/include/beecrypt/hmacsha512.h
/usr/include/beecrypt/md4.h
/usr/include/beecrypt/md5.h
/usr/include/beecrypt/memchunk.h
/usr/include/beecrypt/mp.h
/usr/include/beecrypt/mpbarrett.h
/usr/include/beecrypt/mpnumber.h
/usr/include/beecrypt/mpopt.h
/usr/include/beecrypt/mpprime.h
/usr/include/beecrypt/mtprng.h
/usr/include/beecrypt/pkcs1.h
/usr/include/beecrypt/pkcs12.h
* /usr/include/beecrypt/ripemd128.h
/usr/include/beecrypt/ripemd160.h
/usr/include/beecrypt/ripemd256.h
/usr/include/beecrypt/ripemd320.h
/usr/include/beecrypt/rsa.h
/usr/include/beecrypt/rsakp.h
/usr/include/beecrypt/rsapk.h
/usr/include/beecrypt/sha1.h
/usr/include/beecrypt/sha1opt.h
/usr/include/beecrypt/sha224.h
/usr/include/beecrypt/sha256.h
/usr/include/beecrypt/sha2k32.h
/usr/include/beecrypt/sha2k64.h
/usr/include/beecrypt/sha384.h
/usr/include/beecrypt/sha512.h
/usr/include/beecrypt/timestamp.h
/usr/include/beecrypt/win.h
/usr/lib64/libbeecrypt.so
/usr/share/doc/beecrypt-devel-4.2.1
/usr/share/doc/beecrypt-devel-4.2.1/BUGS
Comment 9 Björn "besser82" Esser 2013-05-31 07:07:25 EDT
> BSD (3 clause)
> --------------
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/
> src/tiger.c
> /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/codecrypt-1.1/
> src/tiger.h

***** BUNDLED LIB CONFIRMED *****
These are now available through freetiger, I just filed a review-bug for.
Comment 10 Björn "besser82" Esser 2013-08-29 03:18:34 EDT
freetiger has been send out as an update for el5, el6, fc18, fc19.  Builds for fc20 and rawhide are made, too.

I just created the needed buildroot-overrides for all branches.  :)
Comment 11 Mirek Kratochvil 2013-09-15 10:28:12 EDT
Bump.

codecrypt-1.3.1 removes bundled libraries and instead adds dependency on crypto++ library which is already available as cryptopp fedora package.

Christopher, can you please create .srpm's for that version?

-mk

Note You need to log in before you can comment on or make changes to this bug.